##
##  tree.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tree
Summary:      Filesystem Tree Listing
URL:          http://mama.indstate.edu/users/ice/tree/
Vendor:       Steve Baker
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        ShellUtils
License:      GPL
Version:      2.1.1
Release:      20230603

#   list of sources
Source0:      http://mama.indstate.edu/users/ice/tree/src/tree-%{version}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc
PreReq:       OpenPKG, openpkg >= 20160101

%description
    tree(1) is a handy little utility to display a tree view of the
    filesystem directories.

%track
    prog tree = {
        version   = %{version}
        url       = http://mama.indstate.edu/users/ice/tree/
        regex     = tree-(__VER__)\.tgz
    }

%prep
    %setup -q

%build
    export CC="%{l_cc}"
    export CFLAGS="%{l_cflags -O}"
    export LDFLAGS=""
    case "%{l_platform -t}" in
        *-linux* ) CFLAGS="$CFLAGS -DLINUX_BIGFILE" ;;
    esac
    %{l_make} %{l_mflags} CC="$CC" CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        tree $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        doc/tree.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

